commit 84030909c23fbdd6aabcd38b6853d6097f33982d
Author: Bernard Quatermass <toolsmith@quatermass.co.uk>
Date:   Fri Dec 26 15:29:40 2025 +0000

    last push to github


commit d06324cdd0ee9fc3180810bc5e818da715f0be23
Author: Bernard Quatermass <toolsmith@quatermass.co.uk>
Date:   Fri Dec 26 15:31:18 2025 +0000

    Readme.pod removed in favour of up-to-date README.md


commit af14bc8cf9b19e8a53131c209d6cff2b82d6b476
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sat Dec 27 15:47:45 2025 +0000

    string-handling: insert space for empty item when building stringlist

diff --git a/src/src/string.c b/src/src/string.c
index 6be0b7678..b37606cf3 100644
--- a/src/src/string.c
+++ b/src/src/string.c
@@ -1060,7 +1060,7 @@ return NULL;
 ************************************************/
 /* This function is used to build a list, returning an allocated null-terminated
 growable string. The given element has any embedded separator characters
-doubled.
+doubled. A zero-length element results in a single space addition.
 
 Despite having the same growable-string interface as string_cat() the list is
 always returned null-terminated.
@@ -1082,13 +1082,18 @@ uschar * sp;
 if (list && list->ptr)
   list = string_catn(list, &sep, 1);
 
-while((sp = Ustrchr(ele, sep)))
+if (!*ele)
+  list = string_catn(list, US" ", 1);
+else
   {
-  list = string_catn(list, ele, sp-ele+1);
-  list = string_catn(list, &sep, 1);
-  ele = sp+1;
+  while((sp = Ustrchr(ele, sep)))
+    {
+    list = string_catn(list, ele, sp-ele+1);
+    list = string_catn(list, &sep, 1);
+    ele = sp+1;
+    }
+  list = string_cat(list, ele);
   }
-list = string_cat(list, ele);
 (void) string_from_gstring(list);
 return list;
 }

